Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

API token generated from the Goldsky Dashboard. Pass as: Authorization: Bearer

Path Parameters

theme
string
required

Feed theme, e.g. wallets.

dataset
string
required

Dataset within the theme, e.g. transfers.

Query Parameters

outcome

Only requests that succeeded (success) or failed (error). Defaults to both.

Available options:
success
from
string<date-time>

Inclusive lower bound on the request time (ISO 8601). Defaults to 24 hours before to. Requests are kept for 30 days.

to
string<date-time>

Inclusive upper bound on the request time (ISO 8601). Defaults to now.

page_size
integer

Maximum rows to return. Defaults to 50.

Required range: 1 <= x <= 200
page_token
string

The pagination.next_page_token from a previous response. Omit for the first page. Only valid with the same outcome, from and to it was returned with.

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required